Description

Hi,

I have just upgraded to latest foreman 1.9.0 and when I try to login using chrome browser I get this error:

Warning!

Invalid Timezone: Europe/Busingen

 The weird thing is that I can login without issues with firefox. I have tried to clean cookies and cache in chome. Also tried to use

incognito mode. Also tried to login with firefox and in the user settings for this user account switch from "Browser Timezone" to select

an specific one. None of this worked. I can login with firefox but not with chrome.

Here is the trace log:

https://gist.github.com/anonymous/07a873294e82a51ab119

History

#1 - 08/25/2015 06:46 AM - Pablo Escobar

by the way the timezone in my desktop machine is Europe/Zurich. I could not find

#2 - 08/25/2015 06:49 AM - Dominic Cleal

- Category set to Web Interface

Which OS are you on precisely?

#3 - 08/25/2015 06:51 AM - Pablo Escobar

Foreman is running on Centos 6.6

My desktop is Linux Mint 17.2 (Based on Ubuntu 14.04)

Chrome is Version 44.0.2403.155 (64-bit)

#4 - 08/25/2015 06:58 AM - Dominic Cleal

Please try running "yum upgrade tzdata" on your Foreman server, you need at least tzdata-2013b-1.el6 I think to get that timezone.

Not sure precisely why you're needing it, but I guess Chrome is sending/changing it.

#5 - 08/25/2015 07:02 AM - Pablo Escobar

I tried "yum update tzdata" and the system updated from tzdata-2014j-1.el6.noarch to tzdata-2015f-1.el6.noarch. After that I tried "service httpd

restart" and tried to login with chrome in an incognito window. Still the same error appears. Maybe is there any other service I should restart?

#6 - 08/25/2015 07:10 AM - Dominic Cleal

Oh sorry, we're still using a version of tzinfo that doesn't use the system's tzdata.  I don't think there's any fix until we update these dependencies via 

#3157, apart from hacking around in opt/rh/ruby193/root/usr/share/gems/gems/tzinfo-0.3.33/lib/tzinfo/ to copy Zurich to Busingen or similar.

05/09/2024 1/2

https://gist.github.com/anonymous/07a873294e82a51ab119
https://projects.theforeman.org/issues/3157


#7 - 08/25/2015 07:12 AM - Pablo Escobar

ok, I will keep using firefox until this is fixed.

thanks for the quick reply!

#8 - 05/20/2017 06:36 AM - Anonymous

- Status changed from New to Resolved

should be fixed by now
